Jump to content

1.6.0.7 and 1.6.0.8 Solved Bugs


Recommended Posts

Dear Community,

 

   There are a few fixes in the 1.6.0.7 that need to be addressed. Please look at these bug fixes to see if they apply to you. 

 

 

  • [-] FO : Fix bug #PSCSX-2418, no thickbox when only one image. (Front product photos do not display large photo if is only one for product when click "View larger")
  • [-] FO : Fix bug #PSCFV-12204, (Voucher bug when you delete a product with a voucher)
  • [-] BO : Fix bug #PSCFV-12205, (When creating a new cart rule in Back Office->Cart Rules the actions tab doesn't allow choosing the specific product when you choose the option Apply discount to specific product.)

 

UPDATE 6/20/2014

 

 

 

UPDATE 6/25/2014

 

UPDATE 6/26/2014

 

Module Updating Bug/Loop - Fix: https://github.com/PrestaShop/PrestaShop/commit/ed0b9aaea9cb39dfa55441e409edc145c6a61a0c

Share this post


Link to post
Share on other sites

Upgraded to 1.6.0.7 and made many hours of changes to translations, look/feel of backoffice, etc. If I upgrade to 1.6.0.8, all the changes will be lost and overridden. 

 

Question:

 

How can I upgrade to 1.6.0.8 without losing all the customization(s)? 

 

Let me know.

  • Like 1

Share this post


Link to post
Share on other sites

Now quick view is not working...

 

Ok I just fix it:

 

1. Uninstall "Theme configurator" module

2. Clear browser cache

3. Install again "Theme configurator" module

4. Configure "Theme configurator" module and disable "Display quick view window on homepage and category pages" option and save.

5. Now enable again "Display quick view window on homepage and category pages" option and save

Share this post


Link to post
Share on other sites

Hi,

 

I can not insert images to the product information or CMS.

The path to the image is just "%5C", not http://www.xxxxx.se/img/xxxxx.jpg

 

I upgraded from 1.6.0.7 to 1.6.0.8 but it does not help. I have no such problem in 1.6.0.6.

 

Is there still bugs left from 1.6.0.7? Maybe is it safer to roll back to 1.6.0.6 to complete the webshop?

Share this post


Link to post
Share on other sites

Hi,

 

I can not insert images to the product information or CMS.

The path to the image is just "%5C", not http://www.xxxxx.se/img/xxxxx.jpg

 

I upgraded from 1.6.0.7 to 1.6.0.8 but it does not help. I have no such problem in 1.6.0.6.

 

Is there still bugs left from 1.6.0.7? Maybe is it safer to roll back to 1.6.0.6 to complete the webshop?

Same problem for me (only on server with url friendly - ok on localhost without user friendly)

 

The path to the image is just "%5C", not http://www.xxxxx.se/img/xxxxx.jpg

Share this post


Link to post
Share on other sites

! PS Webmasters ! Please STOP wasting people's time and resources. DO NOT RELEASE UNTESTED VERSIONS!

 

If you do, you will kill this community and this e-commerce platform in a few months. It's just lazy!!

Edited by Alexgaw (see edit history)
  • Like 3

Share this post


Link to post
Share on other sites

Hey ALMAJ, can you confirm you have this correct file in your install? https://github.com/PrestaShop/PrestaShop/commit/09766f342d1c0eb13294086f2c1e0307e513fc3a

Hi

 

my AdminThemesController.php file was slightly different,

I've copied the new file and it's still the same, I cannot see other themes, only the default theme is visible.

 

Thanks

Edited by ALMAJ (see edit history)

Share this post


Link to post
Share on other sites

in any search does not work the default button for the search.

 

What do you mean? The search is working ok in my end...

can you elaborate?

Share this post


Link to post
Share on other sites

What do you mean? The search is working ok in my end...

can you elaborate?

If the products page type the name of a product and then press the enter key on the keyboard, you always start your search ?

Share this post


Link to post
Share on other sites

If the products page type the name of a product and then press the enter key on the keyboard, you always start your search ?

No, it's working fine here, B)

can you please share you url store?

Share this post


Link to post
Share on other sites

attention speak in Backoffice.

Oh, ok, I thought  the problem was in the Front Office,

But again I've tested in my BO (Catalog > Product) and it's working

 

regards

Share this post


Link to post
Share on other sites

In preference/CMS (1.6.0.8) impossible to insert image, video and hyperlink,..only plain text works

 

Hi Weldoen, was this an upgraded store? What error do you have? You can learn how to turn on Error reporting in this post www.prestashop.com/forums/topic/224525-how-to-turn-on-error-reporting-for-debug-information-500-error-or-blank-page/

Share this post


Link to post
Share on other sites

Hi Weldoen, was this an upgraded store? What error do you have? You can learn how to turn on Error reporting in this post www.prestashop.com/forums/topic/224525-how-to-turn-on-error-reporting-for-debug-information-500-error-or-blank-page/

 

Hello Benjamin, error reporting set to on gives nothing (except for the RIJNDAEL_KEY_, _RIJNDAEL_IV cookie 80 fault but this is quickly solved :)  )

In the CMS page on the spot of the image only --> "" is visible (firefox)

If I make an hyperlink to an PDF file (placed in public_html/pdf) the link is lead to myurl\?live_configurator_token=123456787890&id_shop=1&id_employee=1&theme=&theme_font=                   (and  which display a 404 error)

 

This is a completly new installation which was installed with version 1.6.0.6 and automaticly updated to 1.6.0.8

Share this post


Link to post
Share on other sites

Hello Benjamin, error reporting set to on gives nothing (except for the RIJNDAEL_KEY_, _RIJNDAEL_IV cookie 80 fault but this is quickly solved :)  )

In the CMS page on the spot of the image only --> "" is visible (firefox)

If I make an hyperlink to an PDF file (placed in public_html/pdf) the link is lead to myurl\?live_configurator_token=123456787890&id_shop=1&id_employee=1&theme=&theme_font=                   (and  which display a 404 error)

 

This is a completly new installation which was installed with version 1.6.0.6 and automaticly updated to 1.6.0.8

 

 

unfortunately I have the same problem  :(

url images are displayed like this: "http://www.tugabay.com/pt/content/%5C"

Share this post


Link to post
Share on other sites

hello guys

regarding to the problems with links in cms editor

just disable html purifier in preferences tab in your back office :-)

  • Like 2

Share this post


Link to post
Share on other sites

hello guys

regarding to the problems with links in cms editor

just disable html purifier in preferences tab in your back office :-)

Thanks, it works  :D

So, the html purifier is for disabling html content, and comes enabled by default?

that's very strange move from prestashop...

Share this post


Link to post
Share on other sites

Anyone has any idea about the color attributes? I understand it works with others, but i bang my head real hard.

 

[sOLVED]

Had to shut down the indexing by the block layered nav. Then enable again and voila...

Edited by Yancey (see edit history)

Share this post


Link to post
Share on other sites

hello guys

regarding to the problems with links in cms editor

just disable html purifier in preferences tab in your back office :-)

 

Many thx Vekia,..its working perfect,..cheers :)

Share this post


Link to post
Share on other sites

I have the same problem.

Does anyone knows how to solve this issue?

Read what vekia posted, just disable html purifier in preferences tab in your back office.

Share this post


Link to post
Share on other sites

odd, quite a few community mods updated for 1.6 fail to install properly for 1.6.0.8. What was done to the overrides to cause this? At least one important mod cannot be installed at all.

 

Interestingly this only applies to an upgrade from 1.6.0.6 to 1.6.0.8. The mod will (eventually) install to a fresh 1.6.0.8 site.

 

Anyway- thankfully I'd never upgrade to anything but a test site knowing how every single presta upgrade means a week dedicated to fixing stuff.

  • Like 1

Share this post


Link to post
Share on other sites

odd, quite a few community mods updated for 1.6 fail to install properly for 1.6.0.8. What was done to the overrides to cause this? At least one important mod cannot be installed at all.

 

Interestingly this only applies to an upgrade from 1.6.0.6 to 1.6.0.8. The mod will (eventually) install to a fresh 1.6.0.8 site.

 

Anyway- thankfully I'd never upgrade to anything but a test site knowing how every single presta upgrade means a week dedicated to fixing stuff.

 

for overrides you can follow this forge report.

http://forge.prestashop.com/browse/PSCSX-2500

Share this post


Link to post
Share on other sites

Thanks but I tried this, dosen't work (upgraded site 1.6.0.6 to 1.6.0.8). It did work on a newly installed 1.6.0.8. So no help in my case (existing site).

Share this post


Link to post
Share on other sites

Thanks but I tried this, dosen't work (upgraded site 1.6.0.6 to 1.6.0.8). It did work on a newly installed 1.6.0.8. So no help in my case (existing site).

 

the forge report is still not resolved by ps team.

  • Like 1

Share this post


Link to post
Share on other sites

Thanks Fred,

 

  This bug has now been resolved with these two changes here

 

  1. https://github.com/PrestaShop/PrestaShop/commit/038120a7c0e188f7fa04a71a20effaec1b51ac7a
  2. https://github.com/PrestaShop/PrestaShop/commit/3d5ec8c0dd434dcf733ba3604e4f52980a2a613d

 

Thanks but I tried this, dosen't work (upgraded site 1.6.0.6 to 1.6.0.8). It did work on a newly installed 1.6.0.8. So no help in my case (existing site).

 

Can you try this and let us know if it works for you. We can then update this post for the community.

 

Thanks!

Share this post


Link to post
Share on other sites

this forge report is now marked as 'fixed'.  hats off to the ps developers resolving this in a timely fashion.

I hope this fixes will be included on the next update :)

  • Like 1

Share this post


Link to post
Share on other sites

Thanks Fred,

 

  This bug has now been resolved with these two changes here

Can you try this and let us know if it works for you. We can then update this post for the community.

 

Thanks!

 

 

 

 

 

 

So far no luck in this case. Mod is OPC (upgraded site 1.6.0.6 to 1.6.0.8). Mod installs but does not work. No issues when installing to a fresh copy of 1.6.0.8.

 

Also tested on a fresh 1.6.0.6 (default setup), upgraded to 1.6.0.8. Same problem.

Edited by jetx (see edit history)

Share this post


Link to post
Share on other sites

Still cant select any other theme than default. 

 

http://1drv.ms/1nxgYOT

Same for me.

I started my shop on ps 1.6, my theme is a copy of the default theme. Up to 1.6.06, I had no problem to update, everything was perfect. Then, I updated 1.6.0.6 to 1.6.0.8 and my theme disappeared. In fact, it is still here on the server, but it does not appear in the back office.

Any idea?

Share this post


Link to post
Share on other sites

Same for me.

I started my shop on ps 1.6, my theme is a copy of the default theme. Up to 1.6.06, I had no problem to update, everything was perfect. Then, I updated 1.6.0.6 to 1.6.0.8 and my theme disappeared. In fact, it is still here on the server, but it does not appear in the back office.

Any idea?

 

same problem when I was trying to clone the default-bootstrap of the fresh 1.6.0.8 to change it. it worked by adding the image too in the preview image file of the exported theme.

Edited by nicusor (see edit history)

Share this post


Link to post
Share on other sites

Try to delete the cache_index.php file under the cache folder and reload the shop after that. It worked for me.

 

That didn't worked here sorry  <_<

Share this post


Link to post
Share on other sites

So many bugs in few days ... why do not release a fast upgrade to 1.6.0.9 ? It cannot be a puzzle of bugs

Or send a clear list of files that must be changed in 1.6.0.8.

 

Tks

Edited by DIT (see edit history)
  • Like 1

Share this post


Link to post
Share on other sites

So many bugs in few days ... why do not release a fast upgrade to 1.6.0.9 ? It cannot be a puzzle of bugs

Or send a clear list of files that must be changed in 1.6.0.8.

 

Tks

 

Unfortunately we all are (involuntary) betatesters here, The prestashop team is a great team,

but something is wrong with them at the moment, these updates looks like internal alpha updates,

no one in a perfect mind will risk a real store with these alpha updates, it's too unstable,

prestashop team please, label these updates as alpha/beta, and stop fixing things in a rush!

because when you fix 1 problem you create 5 more new problems, that's not productive at all.

right now the most stable prestashop version is 1.5.6.2, we know all the bugs, and there are less probability to find new ones.

and no one is messing with it.

so please prestateam, go easy on the updates, and test it before releasing it.

  • Like 5

Share this post


Link to post
Share on other sites

 

 

So far no luck in this case. Mod is OPC (upgraded site 1.6.0.6 to 1.6.0.8). Mod installs but does not work. No issues when installing to a fresh copy of 1.6.0.8.

 

Also tested on a fresh 1.6.0.6 (default setup), upgraded to 1.6.0.8. Same problem.

 

My own error in this case, in my rush to get this going I failed to re-enable overrides in BO. This update does fix my problem.

Share this post


Link to post
Share on other sites

Yes it does. However, I would wait on updating PrestaShop until later this week. 

 

For your reference, you can fix that specific bug here, http://forge.prestashop.com/browse/PSCSX-1835

 

For my part this bug 0.00 prices not fixed on the V1.6.08

 

and thank you, to not take the time to answer the same bugs expressed on the French forum, which remains largely unanswered and help from you.

 

 

I also joined the general spirit expressed on the forum and add : "quickly and well do not mix ! " 

 

at this moment, using prestashop, is no more stable for us users, but also for our customers ... 

Share this post


Link to post
Share on other sites

Thanks! You guys rock!

 

I have followed suggestion in the next thread but it's not working.

 

And turned out, the answer is really simple. Just disable html purifier at preferences general tab.

 

Thank you so much

 

V1.6.0.7 user here

Share this post


Link to post
Share on other sites

hi there!

 

well this is what I do to get it work: 

 

1. on my ps installation (1.6.0.8) I have "AdminThemesController.php" in the override folder (/override/controllers/admin/templates/). I have to delete this file, and after that I delete the "class_index.php" file under folder (/cache/). I reload the shop and I can see all my templates made in prestashop version ( 1.6.0.6).

 

themes.png

Share this post


Link to post
Share on other sites

I'm experiencing the "%5C" bug as well. Very annoying, but I found a workaround by going to the database and editing the "content" field in "xxx_cms_lang". Once you do it there, it seems to keep the url. 

 

By the way, it's in ALL my CMS pages, not just the block. 

Edited by Since1953 (see edit history)

Share this post


Link to post
Share on other sites

Is there a fix planned for the loyalty programme?

I have updated to 1.6.0.8, but still can't validate customer's loyalty points.

 

Is anybody else having this issue?

 

Many thanks!

 

Cheers

Clemens

  • Like 2

Share this post


Link to post
Share on other sites

Hi, 

 

I am new to prestashop, just installed 1.6.08 in my hosting account and while I was installing the  modules and flipping between back office and front office suddenly the front office cannot be opened, http 500 internal server error. How can I fix them please?

Share this post


Link to post
Share on other sites

Hi, 

 

I am new to prestashop, just installed 1.6.08 in my hosting account and while I was installing the  modules and flipping between back office and front office suddenly the front office cannot be opened, http 500 internal server error. How can I fix them please?

In addition to the above I ask help from my hosting support but only this coding error he gave and h cannot fix it as it is out of their support. [05-Jul-2014 15:20:27 US/Eastern] PHP Parse error: syntax error, unexpected 'public' (T_PUBLIC) in /home1/mbantiqu/public_html/checkwayelectro/override/classes/Cart.php on line 107

Share this post


Link to post
Share on other sites

for what purposes you use this override?

override it's not a default prestashop code something / someone creates it for you, so... for what purposes? 

Share this post


Link to post
Share on other sites

hi there!

 

well this is what I do to get it work: 

 

1. on my ps installation (1.6.0.8) I have "AdminThemesController.php" in the override folder (/override/controllers/admin/templates/). I have to delete this file, and after that I delete the "class_index.php" file under folder (/cache/). I reload the shop and I can see all my templates made in prestashop version ( 1.6.0.6).

 

themes.png

 

 

Sorry but I did the same thing and unfortunately it's not working...

Share this post


Link to post
Share on other sites

phew .. i thought they were stable .. i have no problem with 1606 before but when i saw 1607 in my backend, i click it, and BANG! -> end up with stressed. i'll fresh install from 1608 now. Such a waste. I'm not kinda person who love wasting time fixing buggy .. 

  • Like 1

Share this post


Link to post
Share on other sites

Hi, 

 

I am new to prestashop, just installed 1.6.08 in my hosting account and while I was installing the  modules and flipping between back office and front office suddenly the front office cannot be opened, http 500 internal server error. How can I fix them please?

 

Hi, don't worry. This is almost always a memory related issue. Follow this blog post to solve it. http://www.prestashop.com/blog/en/the-500-internal-server-error-explained-solved/

Share this post


Link to post
Share on other sites

phew .. i thought they were stable .. i have no problem with 1606 before but when i saw 1607 in my backend, i click it, and BANG! -> end up with stressed. i'll fresh install from 1608 now. Such a waste. I'm not kinda person who love wasting time fixing buggy .. 

 

I advise you to not install Prestashop 1.6.0.8, this version is not stable too,

wait for the next update or stay with 1.6.0.6

Share this post


Link to post
Share on other sites

Yes it does. However, I would wait on updating PrestaShop until later this week. 

 

For your reference, you can fix that specific bug here, http://forge.prestashop.com/browse/PSCSX-1835

 

Does this suggest that a 1.6.0.9 was supposed to be coming to fix the numerous bugs in this thread? Should we be waiting on that still?

 

Also, devs, I appreciate your willingness to post workarounds when possible rather than making us wait for patches. But posting a link to some vague comments on a bug report doesn't really count as posting a workaround. I can't even find the variable those comments vaguely reference and I'm not totally clear on what to do if I did. Just a couple step-by-step instructions would be a thousand times more helpful.

  • Like 2

Share this post


Link to post
Share on other sites

Hello!

In back office I add this code to description or short description of products: 

 

 

<p><span style="font-size: 12pt; font-family: arial, helvetica, sans-serif; color: #000000;">description of product</span></p>

After saving the page this code disappears and my customs are not saved. Why? How can I fix it? Thank you in advance!

1.6.0.8

Share this post


Link to post
Share on other sites

Hello!

In back office I add this code to description or short description of products: 

After saving the page this code disappears and my customs are not saved. Why? How can I fix it? Thank you in advance!

1.6.0.8

 

Hello, try to help,

 

Just disable html purifier at preferences general tab

  • Like 1

Share this post


Link to post
Share on other sites
  • 4 weeks later...

1)Its really surprise.in 1.6.0.8 multi store store cannot install theme on its own it ask for select at lest one shop. I have already given permissions for this employ with with View , add ,edit,delete.

 

Can any one guide on this as no one on forum is much aware how does MultiShop works.

 

I want any shop in my MultiShop should be able to select any theme on 1.6

 

2)Also there are lot many problems in switching one themes from the other as I had default themes 1.6 and also downloaded some free themes of fashion bird, simple responsive theme,minimal. When I switch themes all modules and database gets overrides and creates problem. My entire default bootstrap theme gets spoiled

 

Pls help me with my questions

Share this post


Link to post
Share on other sites

i have to big problem, when i try delete module, all my frontoffice is blank page.

 

what module?

blank page = errors

please turn on error reporting and you will see detailed information about error that you've got there

Share this post


Link to post
Share on other sites

Hi,

 

I can not insert images to the product information or CMS.

The path to the image is just "%5C", not http://www.xxxxx.se/img/xxxxx.jpg

 

I upgraded from 1.6.0.7 to 1.6.0.8 but it does not help. I have no such problem in 1.6.0.6.

 

Is there still bugs left from 1.6.0.7? Maybe is it safer to roll back to 1.6.0.6 to complete the webshop?

 

 

You must close Use HTML Purifier Library or can see this http://www.1webd.com/%E0%B9%83%E0%B8%AA%E0%B9%88%E0%B8%A3%E0%B8%B9%E0%B8%9B%E0%B9%83%E0%B8%99-image-description-prestashop-1-6-%E0%B9%84%E0%B8%A1%E0%B9%88%E0%B9%84%E0%B8%94%E0%B9%89/

Edited by Jormthepcyber (see edit history)

Share this post


Link to post
Share on other sites

Bonjour avant et après après mise à jour PS 1.6.9

page blanche sur validation de commande

modules chèque et virement idem;

Quels fichiers ou réglages dois-je activer ou mettre en place.

j'ai essayé de désactiver les modules non natifs

activé désactivé toutes les mises en cache

rien n'y fait bizarre non ?

Si vous avez une réponse rien trouvé dans le forum là-dessus pour V1.6)

merci

Share this post


Link to post
Share on other sites

Hi
I think I found a bug in PS 1.6.0.9

When using the combinations with Specific prices,

the combination impact on prices - freezes.

not working at all, when deleting the specific prices it works all again.

what can be the problem ?

Share this post


Link to post
Share on other sites

Hi

I think I found a bug in PS 1.6.0.9

When using the combinations with Specific prices,

the combination impact on prices - freezes.

not working at all, when deleting the specific prices it works all again.

what can be the problem ?

 

Hi, I am closing this post and making a new post for 1.6.0.9 regarding the solved bugs. I will move that post there when it is made. Thanks!

Share this post


Link to post
Share on other sites

Hi Benjamin can I know the error of multi store 1.6.0.8 still exist in 1.6.0.9

 

When an employee selects theme after having all permissions of theme in preferences

 

It throws error.

 

" You must atleast select one shop"

 

It seems only super admin has the rights to switch one theme from other in multi store for all its store.

 

If so why employee is able to add or export or delete themes

 

As it should not allow to even do that if its not allowed to select its own store theme even after having permissions

Share this post


Link to post
Share on other sites

Hi Benjamin can I know the error of multi store 1.6.0.8 still exist in 1.6.0.9

 

When an employee selects theme after having all permissions of theme in preferences

 

It throws error.

 

" You must atleast select one shop"

 

It seems only super admin has the rights to switch one theme from other in multi store for all its store.

 

If so why employee is able to add or export or delete themes

 

As it should not allow to even do that if its not allowed to select its own store theme even after having permissions

 

Are you selecting a shop from the drop down? It still says that error? There should be a drop down on the themes page which allows you to select a shop. I will test this bug and get back to you. Thanks!

Share this post


Link to post
Share on other sites

Thanks Benjamin. In multi store. Except super admin none of the other stores have this option to select shop. Actually it should automatically select store I'd. There shouldn't be selection options for individual store as it can create problem if by mistake one store changes for other.

Share this post


Link to post
Share on other sites

Thanks Benjamin. In multi store. Except super admin none of the other stores have this option to select shop. Actually it should automatically select store I'd. There shouldn't be selection options for individual store as it can create problem if by mistake one store changes for other.

 

Hi, please add Screenshots to show us how to reproduce the bug on a fresh install. You can also make a Forge bug report here at forge.prestashop.com

Share this post


Link to post
Share on other sites

I have created a ticket in forge.prestashop.com

below is the ticket information

subject :Shows error message"You must choose at least one shop." when changing 

 
theme in from an empoloyee admin panel(non superadmin)

 

 

Description:I had fresh installed prestashop 1.6.08

and created a new store.
I am unable to make changes to  the theme ( change theme) when logged 
 
into the a non super admin account.
Please view the attachments to see the error been reproduced.

post-808397-0-56295800-1407766003_thumb.jpg

post-808397-0-07416900-1407766008_thumb.jpg

post-808397-0-62324600-1407766012_thumb.jpg

Edited by joeljfernandes (see edit history)

Share this post


Link to post
Share on other sites

 

I have created a ticket in forge.prestashop.com

below is the ticket information

subject :Shows error message"You must choose at least one shop." when changing 

 
theme in from an empoloyee admin panel(non superadmin)

 

 

Description:I had fresh installed prestashop 1.6.08

and created a new store.
I am unable to make changes to  the theme ( change theme) when logged 
 
into the a non super admin account.
Please view the attachments to see the error been reproduced.

 

 

Do you have a link to the actual forge report? Also, have you tried this on the latest version 1.6.0.9?

Share this post


Link to post
Share on other sites
Guest
This topic is now closed to further replies.
×
×
  • Create New...

Important Information

Cookies ensure the smooth running of our services. Using these, you accept the use of cookies. Learn More